Name:           libmygui
Version:        2.3.0
Release:        0.1861svn%{?dist}
Summary:        Fast, simple and flexible GUI
Group:          Development/Libraries
License:        LGPLv3
URL:            http://my-gui.sourceforge.net/
## tar creation instructions
# svn export -r 1861 https://my-gui.svn.sourceforge.net/svnroot/my-gui/trunk mygui
# tar cf mygui-2.3.0-0.1861svn.tar mygui
# xz mygui-2.3.0-0.1861svn.tar
Source0:        mygui-2.3.0-0.1861svn.tar.xz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  automake, autoconf, libtool, freetype-devel, ois-devel, ogre-devel
#Requires:       

%description
MyGUI is a GUI library for Ogre Rendering Engine. We pursue next targets: 
GUI have to be fast, flexible and simple in using. 

%package        devel
Summary:        Development files for mygui
Group:          Development/Libraries
Requires:       %{name} = %{version}-%{release}
Requires:       pkgconfig


%description    devel
The %{name}-devel package contains libraries and header files for
developing applications that use mygui.


%package demos
Summary:        Mygui demo executables and media
Group:          Development/Libraries
Requires:       %{name} = %{version}-%{release}

%description demos
This package contains the compiled (not the source) sample applications coming
with MYGUI.  It also contains some media (meshes, textures,...) needed by these
samples. The samples are installed in %{_libdir}/Demos.


%package tools
Summary:        Mygui tools 
Group:          Development/Libraries
Requires:       %{name} = %{version}-%{release}

%description tools
This package contains MYGUI tools: ImageSetViewer and LayoutEditor.


%prep
%setup -q -n mygui
sh bootstrap

%build
%configure
make %{?_smp_mflags}


%install
rm -rf %{buildroot}
make install DESTDIR=%{buildroot}
find %{buildroot} -name '*.la' -exec rm -f {} ';'
# Install the samples and the tools
mkdir -p %{buildroot}%{_libdir}/MYGUI/Demos 
mkdir -p %{buildroot}%{_libdir}/MYGUI/Tools
mv Shared/linux/Demo*  %{buildroot}%{_libdir}/MYGUI/Demos
cp -p Shared/linux/*.cfg %{buildroot}%{_libdir}/MYGUI/Demos
mv Shared/linux/* %{buildroot}%{_libdir}/MYGUI/Tools
sed -i 's|^PluginFolder=.*$|PluginFolder=%{_libdir}/OGRE|' \
    %{buildroot}%{_libdir}/MYGUI/Demos/plugins.cfg
sed -i 's|^PluginFolder=.*$|PluginFolder=%{_libdir}/OGRE|' \
    %{buildroot}%{_libdir}/MYGUI/Tools/plugins.cfg
mkdir -p %{buildroot}%{_datadir}/MYGUI/
cp -a Media %{buildroot}%{_datadir}/MYGUI/
# Strip away unittests media
rm -rf %{buildroot}%{_datadir}/MYGUI/Media/UnitTests

%clean
rm -rf %{buildroot}


%post -p /sbin/ldconfig


%postun -p /sbin/ldconfig


%files
%defattr(-,root,root,-)
%doc Readme.txt COPYING.LESSER
%{_libdir}/*.so.*
%dir %{_datadir}/MYGUI/Media
%{_datadir}/MYGUI/Media/Common
%{_datadir}/MYGUI/Media/MyGUI_Media
%{_datadir}/MYGUI/Media/*.layout


%files devel
%defattr(-,root,root,-)
%{_includedir}/*
%{_libdir}/*.so
%{_libdir}/pkgconfig/*.pc


%files demos
%defattr(-,root,root,-)
%{_libdir}/MYGUI/Demos
%{_datadir}/MYGUI/Media/Demos


%files tools
%defattr(-,root,root,-)
%{_libdir}/MYGUI/Tools
%{_datadir}/MYGUI/Media/Tools


%changelog
* Mon Sep 28 2009 Guido Grazioli <guido.grazioli@gmail.com> - 2.3.0-0.1861svn-1
- Initial packaging
